using System;




namespace talweg.talwegextended {
	
	public class NetworkServices:System.Collections.CollectionBase {
//		public ArrayList Services = new ArrayList();
		public void Add(int port,string server,string label,bool isEnable) {
			NetworkService ns = new NetworkService();
			ns.Port = port;
			ns.Server = server;
			ns.Label = label;
			ns.IsEnable = isEnable;
			this.List.Add(ns);

		}
		public void Add(int port,string server,string label) {
			this.Add(port,server,label,true);
		}
		public void Add(int port,string label) {
			this.Add(port,String.Empty,label,true);
		}
		public void Add(NetworkService n) {
			this.List.Add(n);
		}
		public NetworkService GetNetworkService (string label) {
			foreach (NetworkService n in this.List) {
				if(String.Equals(n.Label,label)) return n;
			}
			return null;
		}

	}

	public class NetworkService {
		int _Port = 0;
		string _Server = String.Empty;
		string _Label = String.Empty;
		bool _IsEnable = true;

		public string Label {
			get { return this._Label; }
			set { this._Label = value; }
		}
		
		public string  Server {
			get { return this._Server; }
			set { this._Server = value ; }
		}
		
		public int Port {
			get { return this._Port; }
			set { this._Port = value; }
		}
		
		public bool IsEnable {
			get { return this._IsEnable; }
			set { this._IsEnable = value; }
		}

	}
}


