Doc d'installation rapide et certainement incomplète
-----------------------------------------------------
c'est une doc que je redige vite fait afin de pouvoir permettre de tester rapidement le talweg dans sa nouvelle version, aussi je vous demande un peu d'indulgence, et surtout beaucoup de retour car nous aimerions construire une belle documentation.
Toute ame volontaire sera la bienvenue.. :)




Prérequis :
- une machine avec 2 cartes réseaux. ( pour les tests une machine dans le réseau privé )
- un serveur DHCP.
- un serveur DNS.
- un serveur APACHE / openssl.
- un noyau avec les Iptables activées (modules ou noyau).
- Le pack (Mono,mod_mono,xsp). voir INSTALL_MONO.txt

Pour des raisons de simplicité et pour ne pas avoir à changer beaucoup de choses je vous conseille de detarballé le paquet dans /opt/ ce qui créera un rep talweg-mono.

Avant de commencer il faut absolument connaitre le domaine/sous-domaine que vous souhaitez utiliser pour votre réseau.
Nous prendrons ici : my.talweg. si vous souhaitez en changer il conviendra d'en changer toute les occurences dans les fichiers de configurations

Ce qui signifie qu'une demande sur google sera renommer ainsi : u--www--google--fr.my.talweg. le u de début signifant unsecure : http.

1 - Configuration des cartes réseaux :
----------------------------------------
Ici et pour tout la suite nous considererons que eth0 est l'interface externe, internet, et que eth1 est l'interface interne.
eth0 doit être configuré normalement, cad conformément au réseau sur lequelle elle se connecte.
En revanche pour eth1, il faut créer les alias pour nos vhosts.
Sous gentoo cela donne :

config_eth1=(
       "10.13.0.1/16"
       "10.13.0.2/16"
       "10.13.0.3/16"
       "10.13.0.4/16"
       "10.13.0.5/16"
) 

sous Debian ajouter dans '/etc/network/interfaces' les lignes suivantes :

#--- Begin Of Add ---
# interface de la passerelle : router
auto eth1
iface eth1 inet static
  address 10.13.0.1
  netmask 255.255.0.0
  network 10.13.0.0
  broadcast 10.13.255.255

# interface de redirection : redirect
auto eth1:0
iface eth1:0 inet static
  address 10.13.0.2
  netmask 255.255.0.0
  network 10.13.0.0
  broadcast 10.13.255.255

# interface du proxy : proxy
auto eth1:1
iface eth1:1 inet static
  address 10.13.0.3
  netmask 255.255.0.0
  network 10.13.0.0
  broadcast 10.13.255.255

# interface de l'authentification : auth
auto eth1:2
iface eth1:2 inet static
  address 10.13.0.4
  netmask 255.255.0.0
  network 10.13.0.0
  broadcast 10.13.255.255

#interface du serveur www (https) local : www
auto eth1:3
iface eth1:3 inet static
  address 10.13.0.5
  netmask 255.255.0.0
  network 10.13.0.0
  broadcast 10.13.255.255
#--- End Of Add ---


une fois configuré, effectué un ifconfig et s'assurer que les interfaces sont bonnes.

2 - Configuration du DHCP
-------------------------

rien de particulier ici. on notifie l'adresse du DNS, et de la passerelle, otut deux en 10
.13.0.1

#
# Dhcpd configuration file.
#
ddns-update-style ad-hoc;
option domain-name-servers 10.13.0.1;

default-lease-time 600;
max-lease-time 7200;

# If this DHCP server is the official DHCP server for the local
# network, the authoritative directive should be uncommented.
authoritative;

# Use this to send dhcp log messages to a different log file (you also
# have to hack syslog.conf to complete the redirection).
log-facility local7;

# No service will be given on this subnet, but declaring it helps the
# DHCP server to understand the network topology.
subnet 10.13.0.0 netmask 255.255.0.0 {
  option routers 10.13.0.1;
  option broadcast-address 10.13.255.255;
  range 10.13.0.10 10.13.255.254;
}

petit test : essayer d'obtenir une adresse avec la machine de test.

Sous Debian il suffit de faire :
# mv /etc/dhcp3/dhcpd.conf /etc/dhcp3/dhcpd.conf.ori
# ln -sf /opt/talweg-mono/conf/dhcp/dhcpd.conf /etc/dhcp3/dhcpd.conf
# /etc/init.d/dhcp3-server restart

3 - Configuration du DNS
-------------------------

Le but de notre DNS est de faire la resolution de nom pour nos Vhosts et de forwarder les autres requêtes a un serveur DNS externe.

les fichiers de conf se trouve dans conf/dns/.
vous pouvez les copier dans /etc/bind/ ou faire pointer votre DNS dessus.

petit test : sur la machine de test effectuer un ping sur www.google.fr et vérifier la résolution, le ping quant à lui ne devt pas passer.

Sous Debian il suffit de faire :
# mv /etc/bind/named.conf /etc/bind/named.conf.ori
# ln -sf /opt/talweg-mono/conf/bind/named.conf /etc/bind/named.conf
# ln -sf /opt/talweg-mono/conf/bind/pri/ /etc/bind/pri/

4 - Configuration d'apache & creation des certificats & compilation des handlers
---------------------------------------------------------------------------------

pour apache les fichiers de conf ont été  testé sur la version 2.
vous trouverez dans conf/apache les fichiers de configuration : 
- httpd.conf, le fichier de conf de apache.
- vhostd.d/01-talweg_vhosts.conf

Sous Debian il suffit de faire :
 (1) Commenter la ligne suivante dans '/etc/apache2/ports.conf'
Listen 80
 (2) Créer un lien sur le fichier de configuration des vhosts de talweg dans '/etc/apache2/sites-enabled'
# ln -sf /opt/talweg-mono/conf/apache/vhosts.d/01_talweg_vhosts.conf /etc/apache2/sites-enabled/01_talweg_vhosts.conf
 (3) Activer le mod SSL
# ln -sf /etc/apache2/mods-available/ssl.conf /etc/apache2/mods-enabled/ssl.conf
# ln -sf /etc/apache2/mods-available/ssl.load /etc/apache2/mods-enabled/ssl.load
 (4) Activer le mod MONO
# ln -sf /etc/apache2/mod_mono.conf /etc/apache2/mods-enabled/mod_mono.conf


Création des certificats : (dans le repertoire ou doivent se trouver les clés voir 01_talweg_vhosts.conf)
- openssl genrsa -out talweg.key 1024 
- openssl req -new -key talweg.key -out talweg.csr

IMPORTANT :
ici il faut remplir les informations vous correspondants mais surtout stipuler à :
Common Name (eg, YOUR name) []: *.my.talweg

- openssl x509 -req -days 365 -in talweg.csr -signkey talweg.key -out talweg.crt


compilations des handlers : 
dans le repertoire handlers (/opt/talweg-mono/handlers) :

- make
si ca ne fonctione pas verifier l'installation de mono.


petit test : après avoir lancé apache, un lsof -i doit faire apparaitre apache2 en ecoute sur :
- 10.13.0.1 sur les ports http et https
- 10.13.0.2 sur l'https
- 10.13.0.3 sur l'https
- 10.13.0.4 sur l'https



5 - Les iptables 
-----------------

dans scripts/ vous trouverez un fichier appelé firewall.
son usage est start-stop-status.
démarrez le script : ./firewall start

Normalement, si tout va bien, avec votre machine de test vous devriez pouvoir utiliser talweg !


Merci pour le feedback, les rapports de bugs et les questions en tous genres ...

Cyrille COLIN <colin@univ-metz.fr> ou Michel KREUTNER <kreutner@univ-metz.fr> ou le forum de sourcesup si les questions/réponses peuvent intéresser d'autres personnes.
